# Stats

> See the [Stats guide](https://cherrycake.tin.cat/version-0.x/guide/stats-guide) to learn how to work with the Stats module.

## Configuration

* **`cacheProviderName`** The name of the cache provider to use. Default: `engine`.
* **`databaseProviderName`** The name of the database provider to use. Default: `main`.
* **`cacheKeyUniqueId`** The unique cache key to use when storing stats event into cache. Default: `QueuedSystemLogEvents`.
* **`isQueueInCache`** Whether to store stats events in a buffer using cache for improved performance instead of storing them in the database straightaway. Default: `true`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cherrycake.tin.cat/version-0.x/reference/core-modules/stats.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
